// pecco -- please enjoy classification with conjunctive features
//  $Id: pecco_conf.h 747 2011-12-21 05:49:50Z ynaga $
// Copyright (c) 2008-2011 Naoki Yoshinaga <ynaga@tkl.iis.u-tokyo.ac.jp>
#ifndef PECCO_CONFIG_H
#define PECCO_CONFIG_H
// configure options for pecco

// use float as the type of weights
//   set to slightly speed up ~10% the classifier and to reduce memory footprint
//   unset to suppress rounding errors
// #define USE_FLOAT

// encode weights into a trie in kernel_model; enables USE_FLOAT
//   set to improve both speed- and time- efficiency of the kernel classifier
//   unset to suppress rounding errors
// #define ABUSE_TRIE
#ifdef ABUSE_TRIE
#ifndef USE_FLOAT
#define USE_FLOAT
#endif
#endif

// double array library used to store conjunctive features and feature sequences
//   - darts-clone by Yata (USE_DARTS_CLONE; highly recommended), or
//   - Darts by Kudo (USE_DARTS)
//   - CEDAR (USE_CEDAR)
//   darts-clone requires 1/2 to 1/3 memory compared to others (recommended)
// #define USE_DARTS
// #define USE_DARTS_CLONE
#define USE_CEDAR

// use TR1 unordered_map / unordered_set for map / set type
//   set to slightly speeding up the initialization
#ifndef USE_HASH
#define USE_HASH
#endif

// use RDTSC to compute timinigs
//   set to report training and test time (overhead is negligible)
#ifndef USE_TIMER
#define USE_TIMER
#endif

#endif /* PECCO_CONFIG_H */
